package com.css.simulation.resource.server.infra.db.mysql.mapper;

import api.common.pojo.po.scene.SceneRiskPO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;


@Mapper
public interface SceneRiskMapper {

    List<SceneRiskPO> selectSceneIdsByEvaluation(SceneRiskPO sceneRiskPO);

    @Select("select scene_id, scene_type,rule_id ,rule_name, task_id ,risk, risk_level\n" +
            "from scene_risk\n" +
            "where scene_id = #{sceneId} order by create_time desc" )
    List<SceneRiskPO> querySceneEvaluationRiskDetail(@Param("sceneId") String sceneId);

}
