package api.common.pojo.param.scene;

import api.common.pojo.common.PageVO;
import lombok.*;

import java.io.Serializable;

/**
 * 查询各种场景的列表页时的场景评价传参
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneEvaluationForListParam extends PageVO implements Serializable {
    // 复杂度下限
    private Integer minComplexity;
    // 复杂度上限
    private Integer maxComplexity;
    // 危险度下限
    private Integer minRisk;
    // 危险度上限
    private Integer maxRisk;
    // 复杂度等级
    private Integer complexityLevel;
    // 危险度等级
    private Integer riskLevel;
}